Package docking.widgets.shapes

# Enum Class Location

java.lang.Object
java.lang.Enum<Location>
docking.widgets.shapes.Location

All Implemented Interfaces:
  `Serializable`, `Comparable<Location>`, `Constable`

public enum Location extends Enum<Location>
Specifies location and metrics for `PopupWindowPlacer`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  `CENTER`
  `LEFT`
  `RIGHT`
  `TOP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Location`
  `clockwise()`
  `Location`
  `counterClockwise()`
  `boolean`
  `isCenter()`
  `boolean`
  `isGreater()`
  `boolean`
  `isHorizontal()`
  `boolean`
  `isLesser()`
  `boolean`
  `isVertical()`
  `Location`
  `match()`
  `boolean`
  `validMinor(Location minor)`
  Assumes "this" is a major axis, and tells whether the minor axis argument is valid for the major value.
  `static Location`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Location[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final Location LEFT

  - ### RIGHT

    public static final Location RIGHT

  - ### TOP

    public static final Location TOP

  - ### BOTTOM

    public static final Location BOTTOM

  - ### CENTER

    public static final Location CENTER

- ## Method Details

  - ### values

    public static Location[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Location valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isGreater

    public boolean isGreater()

  - ### isLesser

    public boolean isLesser()

  - ### isCenter

    public boolean isCenter()

  - ### match

    public Location match()

  - ### clockwise

    public Location clockwise()

  - ### counterClockwise

    public Location counterClockwise()

  - ### validMinor

    public boolean validMinor(Location minor)
    Assumes "this" is a major axis, and tells whether the minor axis argument is valid for the major value. Cannot have both major and minor be the same horizontal/vertical bearing. Note that `CENTER` can be horizontal or vertical, so this method should not count this value as a bad minor value, as it also represents a good value.
    Parameters:
      `minor` - the minor value to check
    Returns:
      true if valid.

  - ### isHorizontal

    public boolean isHorizontal()

  - ### isVertical

    public boolean isVertical()